# Poco

# class RandomInputStream

Library: Foundation
Package: Crypt
Header: Poco/RandomStream.h

## Description

This istream generates random data using the RandomBuf.

## Inheritance

Direct Base Classes: RandomIOS, std::istream

All Base Classes: RandomIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### RandomInputStream

RandomInputStream();

## Destructor

### ~RandomInputStream

~RandomInputStream();